{ip}: Get country code for IP address

API: airtel.lv:airtel-ip-to-country-api
Endpoint: /{ip}
Response format: unknown
Auth: none
Method: GET
Last Status: 200
Latency: 197ms

Description

Returns the ISO 3166-1 alpha-2 country code for the specified IP address. Returns 'ZZ' for private/reserved IP ranges.

Parameters (1)

ip (string, path, required)

IPv4 address to lookup (e.g., 8.8.8.8)

Constraints: {'pattern': '^((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$'}

Examples (1)

Get country code for IP address openapi-spec
curl 'https://aether.epias.ltd/ip2country/8.8.8.8'
import requests

resp = requests.get("https://aether.epias.ltd/ip2country/8.8.8.8")
data = resp.json()
import zingu_apis

api = zingu_apis.api("airtel")
result = api.fetch("{ip}")

for item in result:
    print(item)
const resp = await fetch("https://aether.epias.ltd/ip2country/8.8.8.8");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:58:00.466555 200 197ms
2026-04-15 01:54:24.910573 200 210ms
2026-04-14 00:22:58.020752 200 201ms
2026-04-12 16:01:58.961771 200 185ms
2026-04-10 00:43:33.243881 200 132ms
2026-04-09 02:19:36.304705 200 217ms
2026-04-08 00:58:46.703085 200 237ms
2026-04-07 00:20:27.513043 200 284ms